
Redmine - Patch #2582

Linking to Lotus Notes documents

2009-01-26 07:43 - Arndt Lehmann

Status: Closed Start date: 2009-01-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.1   

Description

Hi, in our company we commonly link from Redmine issues to documents on our Lotus Notes servers.

These links look like this:

"Notes":Notes:///4125749A0018C13D/42FC5416F4D71EB04925749E0021CF19/A5352E3CC7379C3B49159538003D1A6

B

or this:

"Notes":Notes://homeserver/4125749A0018C13D/42FC5416F4D71EB04925749E0021CF19/A5352E3CC7379C3B49159

538003D1A6B

 That worked very well till revision r2212. Afterward, due to the stricter checking, the text was shown as entered, not rendered as

hyperlink anymore.

Attached patch re-enables support for rendering of Lotus Notes links.

I would appreciate if you could apply the patch (or let me know your concerns if not).

Thanks for this great software!

Environment:

mysql  Ver 14.12 Distrib 5.0.51a, for redhat-linux-gnu (i386)

ruby 1.8.6 (2008-03-03 patchlevel 114) [i386-linux]

rails 2.1.2

redmine revision 2316

Associated revisions

Revision 2344 - 2009-01-31 15:50 - Jean-Philippe Lang

Less strict textile links parsing (#2582).

History

#1 - 2009-01-31 15:46 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

Fixed in r2344. Any [a-zA-Z]+:// is now allowed.

#2 - 2009-02-09 19:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2425.

Files
Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2212
https://www.redmine.org/projects/redmine/repository/svn/revisions/2344
https://www.redmine.org/projects/redmine/repository/svn/revisions/2425
http://www.tcpdf.org

